{ pkgs, ... }: { # Блютуз, интернет, wifi
  hardware.bluetooth = {
    enable = true;
    # settings = {
    #   General = {
    #     Enable = "Source,Sink,Media,Socket";
    #     Experimental = true;
    #   };
    # };
  };

  networking = {
    # enableIPv6 = false;
    networkmanager.enable = true;
    hostName = "nixos";
    # wireless.enable = true;  # Enables wireless support via wpa_supplicant.

    firewall.enable = false;
    # firewall = {
    #   allowedTCPPorts = [ 2080 ]; # For nekoray
    #   allowedUDPPorts = [ 2080 ]; # Clients and peers can use the same port, see listenport
    # };
    # firewall = {
    #   # allowedUDPPorts = [ 53 2017 2080 20170 20171 20172 46067 55084 57282 58374 ]; # For nekoray
    #   # allowedTCPPorts = [ 53 2017 2080 20170 20171 20172 46067 55084 57282 58374 ]; # Clients and peers can use the same port, see listenport
    #   allowedUDPPortRanges = [ { from = 1; to = 65535; } ];
    #   allowedTCPPortRanges = [ { from = 1; to = 65535; } ];
    # };
  };

  services.blueman.enable = true; # Tray for bluetooth

  # services.sing-box = { # Тоже блочит инет, как и nekoray
  #   enable = true;
  #   settings = builtins.fromJSON (builtins.readFile "/home/buliway/nixos-private-dots/modules/nixos/singbox.json");
  # };
}
